'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  'about.title': 'BAMPFA CollectionSpace',
  'about.contentHTML': `
    <p>
      Collections management system of the UC Berkeley Art Museum and Pacific Film Archive.
    </p>
    <p>
      This service is supported by UC Berkeley <a href="http://research-it.berkeley.edu/">Research IT</a>.
      To send feedback, report bugs, or request support, email
      <a href="mailto:cspace-support@lists.berkeley.edu">cspace-support@lists.berkeley.edu</a>.
    </p>`,

  'footer.feedback': 'Contact UC Berkeley CollectionSpace support',
  'footer.feedbackUrl': 'mailto:cspace-support@lists.berkeley.edu',

  // collectionobject

  'field.collectionobjects_common.objectNumber.name': 'ID number',
  'field.collectionobjects_common.otherNumber.name': 'T.R./other number',
  'field.collectionobjects_common.numberValue.fullName': 'T.R./other number',
  'field.collectionobjects_common.physicalDescription.name': 'Medium',
  'field.collectionobjects_common.numberOfObjects.name': 'Item count',
  'field.collectionobjects_common.objectProductionPeople.name': 'Name',
  'field.collectionobjects_common.objectProductionPeopleGroup.name': 'Production organization',
  'field.collectionobjects_common.objectProductionPeople.fullName': 'Production organization name',
  'field.collectionobjects_common.editionNumber.name': 'Edition',
  'field.collectionobjects_common.style.name': 'Period/style',
  'panel.collectionobject.hierarchy': 'Object Hierarchy',
  'field.collectionobjects_common.computedCurrentLocation.name': 'Current storage location',
  'field.collectionobjects_common.briefDescription.name': 'Description of work',
  'field.collectionobjects_common.comment.name': 'Note',

  // intake

  'field.intakes_common.currentOwner.name': 'Source',
  'column.intake.default.currentOwner': 'Source',
  'field.intakes_common.entryDate.name': 'Date in',
  'field.intakes_common.entryNote.name': 'Intake note',
  'field.intakes_common.entryNumber.name': 'TR number',
  'column.intake.default.entryNumber': 'TR number',
  'field.intakes_common.entryReason.name': 'Purpose',

  // loans out
  'record.loanout.name': 'Outgoing Loan',
  'record.loanout.collectionName': 'Outgoing Loans',
  'panel.loanout.info': 'Outgoing Loan information',
  'field.loansout_common.loanOutNumber.name': 'Outgoing loan number',

  // media

  'field.media_common.title.name': 'File name',
  'column.media.default.title': 'File name',

  // movement

  'field.movements_common.currentLocation.fullName': 'Storage location',
  'column.movement.default.currentLocation': 'Storage location',
  'field.movements_common.locationDate.name': 'Inventory/move date',
  'field.movements_common.movementContact.name': 'Handler',
  'field.movements_common.movementContact.fullName': 'Handler',
  'field.movements_common.movementMethod.name': 'Method',
  'field.movements_common.reasonForMove.name': 'Reason',
  'inputTable.movement.currentLocation': 'Storage location',
  'panel.movement.movement': 'Inventory/Movement information',
  'record.movement.name': 'Inventory/Movement',
  'record.movement.collectionName': 'Inventory/Movement',

  // person

  'field.persons_common.termName.name': 'FML name',
  'field.persons_common.termName.fullName': 'FML name',
  'field.persons_common.termQualifier.name': 'Term qualifier',
  'field.persons_common.birthPlace.name': 'Birth country'
};