'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _utils = require('./utils');

exports.default = configContext => {
  const TextInput = configContext.inputComponents.TextInput;
  const config = configContext.configHelpers.configKey;
  const DATA_TYPE_STRING = configContext.dataTypes.DATA_TYPE_STRING;


  return {
    measuredPartGroupList: {
      measuredPartGroup: {
        [config]: {
          compute: _utils.computeDimensionSummary
        },
        measuredPart: {
          [config]: {
            view: {
              type: TextInput,
              props: null
            }
          }
        },
        dimensionSummary: {
          [config]: {
            view: {
              props: {
                readOnly: true
              }
            }
          }
        },
        dimensionSubGroupList: {
          dimensionSubGroup: {
            value: {
              [config]: {
                dataType: DATA_TYPE_STRING
              }
            }
          }
        },
        measuredPartNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.dimension.measuredPartNote.name',
                'defaultMessage': 'Note'
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};