'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const CompoundInput = _configContext$inputC.CompoundInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        DateInput = _configContext$inputC.DateInput,
        AutocompleteInput = _configContext$inputC.AutocompleteInput;
  const config = configContext.configHelpers.configKey;


  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      AuthBy: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.report.bampfaUOCbyApprovalStatus.AuthBy.name',
              'defaultMessage': 'Authorized by'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/collective,organization/ulan',
              showQuickAdd: false
            }
          }
        }
      },
      AuthStatus: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.report.bampfaUOCbyApprovalStatus.AuthStatus.name',
              'defaultMessage': 'Authorization status'
            }
          }),
          view: {
            type: TermPickerInput,
            props: {
              source: 'uocauthorizationstatuses'
            }
          }
        }
      },
      StartDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.report.bampfaUOCbyApprovalStatus.StartDate.name',
              'defaultMessage': 'Earliest requested date'
            }
          }),
          view: {
            type: DateInput
          }
        }
      },
      EndDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.report.bampfaUOCbyApprovalStatus.EndDate.name',
              'defaultMessage': 'Latest requested date'
            }
          }),
          view: {
            type: DateInput
          }
        }
      }
    }
  };
};