"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;
  const extensions = configContext.config.extensions;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "id", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            InputTable,
            { name: "idNumberInfo" },
            React.createElement(Field, { name: "accNumberPrefix", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "accNumberPart1", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "accNumberPart2", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "accNumberPart3", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "accNumberPart4", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "accNumberPart5", subpath: "ns2:collectionobjects_bampfa" })
          ),
          React.createElement(Field, { name: "objectNumber" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "legalStatus", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "legalStatusDateGroup", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "itemClass", subpath: "ns2:collectionobjects_bampfa" })
        )
      ),
      React.createElement(
        Field,
        { name: "bampfaObjectProductionPersonGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "bampfaObjectProductionPersonGroup" },
          React.createElement(Field, { name: "bampfaObjectProductionPerson" }),
          React.createElement(Field, { name: "bampfaObjectProductionPersonRole" }),
          React.createElement(Field, { name: "bampfaObjectProductionPersonQualifier" })
        )
      ),
      React.createElement(Field, { name: "artistDisplayOverride", subpath: "ns2:collectionobjects_bampfa" }),
      React.createElement(
        Field,
        { name: "bampfaTitleGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "bampfaTitleGroup" },
          React.createElement(Field, { name: "bampfaFormattedTitle" })
        )
      ),
      React.createElement(Field, { name: "seriesTitle", subpath: "ns2:collectionobjects_bampfa" }),
      extensions.dimension.form,
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "physicalDescription" }),
          React.createElement(
            Field,
            { name: "otherNumberList" },
            React.createElement(
              Field,
              { name: "otherNumber" },
              React.createElement(Field, { name: "numberValue" }),
              React.createElement(Field, { name: "numberType" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "creditLine", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "computedCurrentLocation" }),
          React.createElement(Field, { name: "computedCrate", subpath: "ns2:collectionobjects_bampfa" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "detail", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "objectProductionDateGroupList" },
            React.createElement(
              Field,
              { name: "objectProductionDateGroup" },
              React.createElement(Field, { name: "productionDate" })
            )
          ),
          React.createElement(
            InputTable,
            { name: "centuryEra" },
            React.createElement(Field, { name: "objectProductionDateCentury", subpath: "ns2:collectionobjects_bampfa" }),
            React.createElement(Field, { name: "objectProductionDateEra", subpath: "ns2:collectionobjects_bampfa" })
          ),
          React.createElement(Field, { name: "objectProductionDynasty", subpath: "ns2:collectionobjects_bampfa" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "briefDescriptions" },
            React.createElement(Field, { name: "briefDescription" })
          ),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "numberOfObjects" }),
            React.createElement(Field, { name: "numberOfScans", subpath: "ns2:collectionobjects_bampfa" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "objectProductionPlaceGroupList" },
        React.createElement(
          Field,
          { name: "objectProductionPlaceGroup" },
          React.createElement(Field, { name: "objectProductionPlace" })
        )
      ),
      React.createElement(
        Field,
        { name: "objectProductionPeopleGroupList" },
        React.createElement(
          Field,
          { name: "objectProductionPeopleGroup" },
          React.createElement(Field, { name: "objectProductionPeople" }),
          React.createElement(Field, { name: "objectProductionPeopleRole" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "desc", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          "div",
          null,
          React.createElement(Field, { name: "editionNumber" }),
          React.createElement(Field, { name: "stateGeneration", subpath: "ns2:collectionobjects_bampfa" })
        ),
        React.createElement(
          "div",
          null,
          React.createElement(Field, { name: "soundOrSilent", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "bwOrColor", subpath: "ns2:collectionobjects_bampfa" })
        )
      ),
      React.createElement(
        Field,
        { name: "textualInscriptionGroupList" },
        React.createElement(
          Field,
          { name: "textualInscriptionGroup" },
          React.createElement(Field, { name: "inscriptionContent" })
        )
      ),
      React.createElement(
        Field,
        { name: "nonTextualInscriptionGroupList" },
        React.createElement(
          Field,
          { name: "nonTextualInscriptionGroup" },
          React.createElement(Field, { name: "inscriptionDescription" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "acquisition", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "acquisitionMethod", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(
            Field,
            { name: "acquisitionDateGroupList", subpath: "ns2:collectionobjects_bampfa" },
            React.createElement(Field, { name: "acquisitionDateGroup" })
          ),
          React.createElement(
            Field,
            { name: "acquisitionSources", subpath: "ns2:collectionobjects_bampfa" },
            React.createElement(Field, { name: "acquisitionSource" })
          ),
          React.createElement(
            Field,
            { name: "bampfaAcquisitionReasonList", subpath: "ns2:collectionobjects_bampfa" },
            React.createElement(Field, { name: "bampfaAcquisitionReason" })
          ),
          React.createElement(Field, { name: "acquisitionProvisos", subpath: "ns2:collectionobjects_bampfa" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "provenance", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "acquisitionNote", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "appraisalInfo", subpath: "ns2:collectionobjects_bampfa" })
        )
      ),
      React.createElement(
        Field,
        { name: "currentValueGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "currentValueGroup" },
          React.createElement(Field, { name: "currentValue" }),
          React.createElement(Field, { name: "currentValueSource" }),
          React.createElement(Field, { name: "currentValueDateGroup" })
        )
      ),
      React.createElement(
        InputTable,
        { name: "initialValueGroup" },
        React.createElement(Field, { name: "initialValue", subpath: "ns2:collectionobjects_bampfa" }),
        React.createElement(Field, { name: "initialValueSource", subpath: "ns2:collectionobjects_bampfa" }),
        React.createElement(Field, { name: "initialValueDateGroup", subpath: "ns2:collectionobjects_bampfa" })
      )
    ),
    React.createElement(
      Panel,
      { name: "classification", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "bampfaCollectionList", subpath: "ns2:collectionobjects_bampfa" },
            React.createElement(Field, { name: "bampfaCollection" })
          ),
          React.createElement(
            Field,
            { name: "subjectThemes", subpath: "ns2:collectionobjects_bampfa" },
            React.createElement(Field, { name: "subjectTheme" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "styles" },
            React.createElement(Field, { name: "style" })
          ),
          React.createElement(Field, { name: "partOf", subpath: "ns2:collectionobjects_bampfa" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "copyright", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "copyrightCredit", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "copyrightNote", subpath: "ns2:collectionobjects_bampfa" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "photoCredit", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "copyrightHolder", subpath: "ns2:collectionobjects_bampfa" }),
          React.createElement(Field, { name: "permissionToReproduce", subpath: "ns2:collectionobjects_bampfa" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "condition", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "bampfaConditionCheckGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "bampfaConditionCheckGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: "conditionNote" }),
                React.createElement(Field, { name: "conditionCheckBy" })
              ),
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: "conservationNote" }),
                React.createElement(Field, { name: "conditionCheckDate" })
              )
            )
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "reference", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "referenceGroupList" },
        React.createElement(
          Field,
          { name: "referenceGroup" },
          React.createElement(Field, { name: "reference" }),
          React.createElement(Field, { name: "referenceNote" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "notes", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "comments" },
        React.createElement(Field, { name: "comment" })
      )
    ),
    React.createElement(
      Panel,
      { name: "collectionText", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "collectionTextGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "collectionTextGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "collectionTextType" }),
              React.createElement(Field, { name: "collectionTextDoNotPublish" })
            ),
            React.createElement(Field, { name: "collectionText" }),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "collectionTextAuthor" }),
              React.createElement(Field, { name: "collectionTextDateGroup" })
            ),
            React.createElement(Field, { name: "collectionTextNote" })
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    ),
    React.createElement(
      Panel,
      { name: "cataloger", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "catalogerGroupList", subpath: "ns2:collectionobjects_bampfa" },
        React.createElement(
          Field,
          { name: "catalogerGroup" },
          React.createElement(Field, { name: "catalogerName" }),
          React.createElement(Field, { name: "catalogDate" }),
          React.createElement(Field, { name: "catalogNote" })
        )
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});