'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => data => {
  var _configContext$record = configContext.recordDataHelpers;
  const deepGet = _configContext$record.deepGet,
        getPart = _configContext$record.getPart;
  const getDisplayName = configContext.refNameHelpers.getDisplayName;


  if (!data) {
    return '';
  }

  const commonData = getPart(data, 'collectionobjects_common');
  const bampfaData = getPart(data, 'collectionobjects_bampfa');

  const titleParts = [];

  if (commonData) {
    titleParts.push(commonData.get('objectNumber'));
  }

  if (bampfaData) {
    titleParts.push(deepGet(bampfaData, ['bampfaTitleGroupList', 'bampfaTitleGroup', 0, 'bampfaTitle']));
  }

  if (commonData) {
    titleParts.push(deepGet(commonData, ['objectProductionDateGroupList', 'objectProductionDateGroup', 0, 'dateDisplayDate']));
  }

  if (bampfaData) {
    titleParts.push(getDisplayName(deepGet(bampfaData, ['bampfaObjectProductionPersonGroupList', 'bampfaObjectProductionPersonGroup', 0, 'bampfaObjectProductionPerson'])));
  }

  return titleParts.filter(part => !!part).join(' – ');
};