'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => (data, formatterContext) => {
  var _configContext$record = configContext.recordDataHelpers;
  const getPart = _configContext$record.getPart,
        deepGet = _configContext$record.deepGet;
  const formatOption = configContext.formatHelpers.formatOption;
  const getDisplayName = configContext.refNameHelpers.getDisplayName;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'conditionchecks_common');

  if (!common) {
    return '';
  }

  const conditioncheckRefNumber = common.get('conditionCheckRefNumber');
  const condition = getDisplayName(deepGet(common, ['conditionCheckGroupList', 'conditionCheckGroup', 0, 'condition']));
  const formattedCondition = formatOption('conditions', condition, formatterContext);

  return [conditioncheckRefNumber, formattedCondition].filter(part => !!part).join(' – ');
};