'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TextInput = _configContext$inputC.TextInput,
        IDGeneratorInput = _configContext$inputC.IDGeneratorInput,
        TermPickerInput = _configContext$inputC.TermPickerInput;
  const config = configContext.configHelpers.configKey;


  return {
    document: {
      'ns2:intakes_common': {
        entryNumber: {
          [config]: {
            view: {
              type: IDGeneratorInput,
              props: {
                source: 'study,receipt'
              }
            }
          }
        },
        entryReason: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'intakepurpose'
              }
            }
          }
        }
      },
      'ns2:intakes_bampfa': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/intake/local/bampfa'
          }
        },
        intakeObject: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.intakes_bampfa.intakeObject.name',
                'defaultMessage': 'Object description'
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        sourceAddress: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.intakes_bampfa.sourceAddress.name',
                'defaultMessage': 'Address override'
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        receipt: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.intakes_bampfa.receipt.name',
                'defaultMessage': 'Receipt'
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'intakereceipt'
              }
            }
          }
        },
        disposition: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.intakes_bampfa.disposition.name',
                'defaultMessage': 'Disposition'
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        }
      }
    }
  };
};