'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _utils = require('./utils');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TextInput = _configContext$inputC.TextInput,
        OptionPickerInput = _configContext$inputC.OptionPickerInput,
        CheckboxInput = _configContext$inputC.CheckboxInput;
  const extensions = configContext.config.extensions;
  const config = configContext.configHelpers.configKey;
  var _configContext$dataTy = configContext.dataTypes;
  const DATA_TYPE_INT = _configContext$dataTy.DATA_TYPE_INT,
        DATA_TYPE_BOOL = _configContext$dataTy.DATA_TYPE_BOOL;


  return {
    document: {
      'ns2:media_common': Object.assign({
        identificationNumber: {
          [config]: {
            required: false
          }
        },
        title: {
          [config]: {
            compute: _utils.computeMediaTitle
          }
        }
      }, extensions.dimension.fields),
      'ns2:media_bampfa': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/media'
          }
        },
        primaryDisplay: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.media_bampfa.primaryDisplay.name',
                'defaultMessage': 'Primary display'
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        websiteDisplayLevel: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.media_bampfa.websiteDisplayLevel.name',
                'defaultMessage': 'Website display level'
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'websiteDisplayLevels'
              }
            }
          }
        },
        imageNumber: {
          [config]: {
            dataType: DATA_TYPE_INT,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.media_bampfa.imageNumber.name',
                'defaultMessage': 'Image number'
              }
            }),
            required: true,
            view: {
              type: TextInput
            }
          }
        },
        computedOrderNumber: {
          [config]: {
            compute: _utils.computeMediaOrderNumber
          }
        },
        pictionId: {
          [config]: {
            dataType: DATA_TYPE_INT,
            readOnly: true
          }
        },
        pictionImageHash: {
          [config]: {
            readOnly: true
          }
        }
      }
    }
  };
};