'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _utils = require('./utils');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        TextInput = _configContext$inputC.TextInput,
        TermPickerInput = _configContext$inputC.TermPickerInput;
  const config = configContext.configHelpers.configKey;
  const formatHelpers = configContext.formatHelpers;


  return {
    document: {
      'ns2:movements_common': {
        locationDate: {
          [config]: {
            required: true
          }
        },
        reasonForMove: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'movereason'
              }
            }
          }
        },
        movementMethods: {
          movementMethod: {
            [config]: {
              view: {
                type: TermPickerInput,
                props: {
                  source: 'movemethod'
                }
              }
            }
          }
        },
        movementContact: {
          [config]: {
            view: {
              type: TextInput,
              props: null
            }
          }
        }
      },
      'ns2:movements_bampfa': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/movement/local/bampfa'
          }
        },
        crate: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.movements_bampfa.crate.name',
                'defaultMessage': 'Box or container'
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'location/crate'
              }
            }
          }
        },
        computedSummary: {
          [config]: {
            compute: args => (0, _utils.computeMovementSummary)(args, formatHelpers)
          }
        }
      }
    }
  };
};