'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  var _pluginContext$config = pluginContext.config;
  const defaultAdvancedSearchBooleanOp = _pluginContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _pluginContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:persons_common/personTermGroupList/personTermGroup/termDisplayName'
    }, {
      op: OP_EQ,
      path: 'ns2:persons_common/personTermGroupList/personTermGroup/termType'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:persons_common/nationalities/nationality'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:persons_common/birthPlace'
    }, {
      op: OP_EQ,
      path: 'ns2:persons_common/gender'
    }, {
      op: OP_RANGE,
      path: 'ns2:persons_common/birthDateGroup'
    }, {
      op: OP_RANGE,
      path: 'ns2:persons_common/deathDateGroup'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:persons_common/groups/group'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:persons_common/occupations/occupation'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:persons_common/schoolsOrStyles/schoolOrStyle'
    }, {
      op: OP_EQ,
      path: 'ns2:persons_common/personTermGroupList/personTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:persons_common/personTermGroupList/personTermGroup/termFlag'
    }, ...extensions.core.advancedSearch]
  };
};