'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _utils = require('./utils');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const OptionPickerInput = _configContext$inputC.OptionPickerInput,
        TextInput = _configContext$inputC.TextInput;
  const config = configContext.configHelpers.configKey;


  return {
    document: {
      'ns2:persons_common': {
        personTermGroupList: {
          personTermGroup: {
            [config]: {
              compute: _utils.computePersonNames
            }
          }
        }
      },
      'ns2:persons_bampfa': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/person/local/bampfa'
          }
        },
        birthCity: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.birthCity.name',
                'defaultMessage': 'Birth city'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        otherRegionalInfo: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.otherRegionalInfo.name',
                'defaultMessage': 'Other regional info'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        dynastyPeriod: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.dynastyPeriod.name',
                'defaultMessage': 'Dynasty/period'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        datesActive: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.datesActive.name',
                'defaultMessage': 'Dates active'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        copyrightCredit: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.copyrightCredit.name',
                'defaultMessage': 'Copyright credit'
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        copyrightNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.copyrightNote.name',
                'defaultMessage': 'Copyright note'
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        copyrightHolder: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.copyrightHolder.name',
                'defaultMessage': 'Copyright holder'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        permissionToReproduce: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.persons_bampfa.permissionToReproduce.name',
                'defaultMessage': 'Permission to reproduce granted for noncommercial uses'
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'reproductionPermissionLevels'
              }
            }
          }
        }
      }
    }
  };
};